import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { AuthComponent } from 'app/pages/auth/auth.component';
import { SigninComponent } from 'app/pages/auth/signin/signin.component';

export const appRoutes: Routes = [
  // {
  //   path: '', component: AuthComponent, children: [
  //     { path: 'signin', component: SigninComponent },
  //   ]
  // }
  { path: 'signin', component: SigninComponent },
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(appRoutes),
  ],
  declarations: [
    SigninComponent
  ]
})
export class AuthModule { }
